DataFrameWriterAsyncActor (Snowpark Java API Reference 1.21.0)

Package com.snowflake.snowpark_java

## Class DataFrameWriterAsyncActor

- java.lang.Object
- - com.snowflake.snowpark_java.DataFrameWriterAsyncActor

-     public class DataFrameWriterAsyncActor
      extends java.lang.Object

  Provides APIs to execute DataFrameWriter actions asynchronously.
  Since:
    1.2.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypedAsyncJob<WriteFileResult>` | `csv​(java.lang.String path)` | Executes `DataFrameWriter.csv()` asynchronously.
    `TypedAsyncJob<WriteFileResult>` | `json​(java.lang.String path)` | Executes `DataFrameWriter.json()` asynchronously.
    `TypedAsyncJob<WriteFileResult>` | `parquet​(java.lang.String path)` | Executes `DataFrameWriter.parquet()` asynchronously.
    `TypedAsyncJob<java.lang.Void>` | `saveAsTable​(java.lang.String tableName)` | Executes `DataFrameWriter.saveAsTable` asynchronously.
    `TypedAsyncJob<java.lang.Void>` | `saveAsTable​(java.lang.String[] multipartIdentifier)` | Executes `DataFrameWriter.saveAsTable` asynchronously.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### saveAsTable

          public TypedAsyncJob<java.lang.Void> saveAsTable​(java.lang.String tableName)

      Executes `DataFrameWriter.saveAsTable` asynchronously.
      Parameters:
        `tableName` - Name of the table where the data should be saved.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### saveAsTable

          public TypedAsyncJob<java.lang.Void> saveAsTable​(java.lang.String[] multipartIdentifier)

      Executes `DataFrameWriter.saveAsTable` asynchronously.
      Parameters:
        `multipartIdentifier` - An array of strings that specify the database name, schema name, and table name.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### csv

          public TypedAsyncJob<WriteFileResult> csv​(java.lang.String path)

      Executes `DataFrameWriter.csv()` asynchronously.
      Parameters:
        `path` - The path (including the stage name) to the CSV file.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.5.0

    - #### json

          public TypedAsyncJob<WriteFileResult> json​(java.lang.String path)

      Executes `DataFrameWriter.json()` asynchronously.
      Parameters:
        `path` - The path (including the stage name) to the JSON file.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.5.0

    - #### parquet

          public TypedAsyncJob<WriteFileResult> parquet​(java.lang.String path)

      Executes `DataFrameWriter.parquet()` asynchronously.
      Parameters:
        `path` - The path (including the stage name) to the PARQUET file.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.5.0